curl -X POST "https://heimdall.qa.zoniqx.com/non-custodian-xrpl/sign-transaction" \
-H "Authorization: Bearer <accessToken>" \
-H "x-tenant-id: <your-tenant-id>" \
-H "Content-Type: application/json" \
-d '{
"encodedTransaction": "string",
"signOnly": true
}'const response = await fetch("https://heimdall.qa.zoniqx.com/non-custodian-xrpl/sign-transaction", {
method: "POST",
headers: {
"Authorization": "Bearer <accessToken>",
"x-tenant-id": "<your-tenant-id>",
"Content-Type": "application/json",
},
body: JSON.stringify({
"encodedTransaction": "string",
"signOnly": true
}),
});
const data = await response.json();type NonCustodianXrplController_signTransactionResponse = Record<string, unknown>;
const response = await fetch("https://heimdall.qa.zoniqx.com/non-custodian-xrpl/sign-transaction", {
method: "POST",
headers: {
Authorization: "Bearer <accessToken>",
"x-tenant-id": "<your-tenant-id>",
"Content-Type": "application/json",
},
body: JSON.stringify({
"encodedTransaction": "string",
"signOnly": true
}),
});
const data: NonCustodianXrplController_signTransactionResponse = await response.json();import requests
url = "https://heimdall.qa.zoniqx.com/non-custodian-xrpl/sign-transaction"
headers = {
"Authorization": "Bearer <accessToken>",
"x-tenant-id": "<your-tenant-id>",
}
payload = {
"encodedTransaction": "string",
"signOnly": True
}
response = requests.post(url, headers=headers, json=payload)
data = response.json()